package token;

import java.util.function.Supplier;

import file.FilePosition;
import sexpression.MalformedSExpressionException.EofEncounteredException;
import sexpression.SExpression;

public class Eof extends Token {

    public Eof(String text, FilePosition position) {
        super(text, position);
    }

    @Override
    public SExpression parseSExpression(Supplier<Token> getNextToken) {
        throw new EofEncounteredException(this);
    }

}
