package token;

import java.util.function.Supplier;

import file.FilePosition;
import sexpression.MalformedSExpressionException.StartsWithRightParenthesisException;
import sexpression.Nil;
import sexpression.SExpression;

public class RightParenthesis extends Token {

    public RightParenthesis(String text, FilePosition position) {
        super(text, position);
    }

    @Override
    public SExpression parseSExpression(Supplier<Token> getNextToken) {
        throw new StartsWithRightParenthesisException(this);
    }

    @Override
    public SExpression parseSExpressionTail(Supplier<Token> getNextToken) {
        return Nil.getUniqueInstance();
    }

}
